//
//  PhotoTVC.m
//  Shutterbug
//
//  Created by houzq on 17/8/14.
//  Copyright (c) 2014 iOSLearning. All rights reserved.
//

#import "PhotoTVC.h"
#import "ImageViewController.h"

@interface PhotoTVC ()

@end

@implementation PhotoTVC

- (void)setPhotos:(NSArray *)photos
{
    _photos = photos;
    [self.tableView reloadData];
}

#pragma mark - UITableViewDataSource

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return [self.photos count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"PhotoCell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    NSString *rowString = [NSString stringWithFormat:@"%d", indexPath.row];
    
    NSMutableString *label = [[NSMutableString alloc]initWithString:@"labelString"];
    [label appendString:rowString];
    cell.textLabel.text = label;
    
    NSMutableString *detailSting = [[NSMutableString alloc]initWithString:@"detailSting"];
    [detailSting appendString:rowString];
    cell.detailTextLabel.text = detailSting;
    
    return cell;
}

#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
    if ([sender isKindOfClass:[UITableViewCell class]])
         {
             NSIndexPath *indexPath = [self.tableView indexPathForCell:sender];
             if (indexPath) {
                 if([segue.identifier isEqualToString:@"DisplayPhoto"]){
                     [self prepareImageViewController:segue.destinationViewController
                                    toDisplayPhotoURL:self.photos[indexPath.row]];
                 }
             }
         }
}

- (void)prepareImageViewController:(ImageViewController *)ivc toDisplayPhotoURL:(NSString *)photoURLString
{
    ivc.imageURL = [[NSURL alloc] initWithString:photoURLString];
    ivc.title = @"title";
}

#pragma mark - UITableViewDelegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    //不需要判断iPhone或iPad,如果iPhone下，为nil
    id detail = self.splitViewController.viewControllers[1];
    if ([detail isKindOfClass:[UINavigationController class]]) {
        detail = [((UINavigationController *)detail).viewControllers firstObject];
    }
    if ([detail isKindOfClass:[ImageViewController class]]) {
        [self prepareImageViewController:detail
                       toDisplayPhotoURL:self.photos[indexPath.row]];
    }
}

@end
